extends StaticBody2D



func _on_Area2D_body_entered(body):
	if body.is_in_group("player"):
		body.slow_down()
		body.toggle_roll(false)


func _on_Area2D_body_exited(body):
	if body.is_in_group("player"):
		body.normal_speed()
		body.toggle_roll(true)
